GNU bug report logs - #43960
incompatible bytecode version

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Дмитрий Поляков <liltechdude@HIDDEN>; Keywords: moreinfo; dated Mon, 12 Oct 2020 14:22:03 UTC; Maintainer for guix is bug-guix@HIDDEN.
Added tag(s) moreinfo. Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43960 <at> debbugs.gnu.org:


Received: (at 43960) by debbugs.gnu.org; 19 Oct 2020 17:01:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 13:01:33 2020
Received: from localhost ([127.0.0.1]:42217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUYXN-0000A1-7M
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 13:01:33 -0400
Received: from mail-wm1-f67.google.com ([209.85.128.67]:40103)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kUYXL-0008V7-Jq
 for 43960 <at> debbugs.gnu.org; Mon, 19 Oct 2020 13:01:32 -0400
Received: by mail-wm1-f67.google.com with SMTP id k18so220665wmj.5
 for <43960 <at> debbugs.gnu.org>; Mon, 19 Oct 2020 10:01:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=oGTetZwgnIoPHC2V7nFOXwFL88IrnMLRjrc0ttYJSvI=;
 b=KOCGWl9RNWdFNgj09NKLYH5eVFEoCfR8B5SDDCh/e75H+Qhn8PaB74aqVzmFwBpcX0
 +LVrp+neMmre6AyrhS4Kapd0pGQfDYOJLm9QCKDLxpmmkj+gouM+XtK+ZDdCHTaWY1Dk
 cwpvUZSzGlIr1zCKjyCeCygO5iEnodRYpaBh5f5SOKuKlPjNsbI6vWIVjJ00nuJ3eL2J
 2ei7zd53y8woycIqbM9cl324t9ZXtqVXOeqsOmY6L53pJY6W2OSWspVMbMmEq4ZYx3RW
 l6dDQ1OBZ4OeqkGn0n5gMxVHZdAawiyAQp1ZA0d0STc9Dm9Xu17f09M7ftX1/TluQU6u
 yvgw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=oGTetZwgnIoPHC2V7nFOXwFL88IrnMLRjrc0ttYJSvI=;
 b=SCabkF3F3+NOglWIn/6VcUVBmIinn9gfvHFFQPVH8ajwB4apDL85Ne4rr20qcyo6jF
 GfRhua92mObE+fFvDvwiJ/29EGepNppn6rTUsJFho64OdFVbgaaIf7pCi/i3Cr+kOo62
 AxQFyQ5OxDdhnd9yUIFSjvAYW/HX3FvkJKX3keNzGPNwqedlqItGQgWR5twoaJCVzi3v
 Ncci3k9EKvanzP65Fg/+I8NSl7OfyaTcpxyHGXdMowjgLpmoYg+ToeClo3i3tS1qSz+4
 rxE9PpW+h7likBtFcBWcp7RsdFcVGelewiFKqwRmbm6ysnUHZvoT3MsztGIj0hwTJ78C
 Jl/Q==
X-Gm-Message-State: AOAM531g8puYyr4RhOX8zSFwIqXxTWXDVbhHlwMODtWj2qt8vYqQU+Oi
 hwjiHq/a/bVfQ9qleeVWIfI=
X-Google-Smtp-Source: ABdhPJyB28qHOnpxC1KX6G8jrMNfTWw/3FUDZ0pppr+AmlhIrWrD07AtHBGgwG6wWAFt2a5EMz8/Cg==
X-Received: by 2002:a7b:cc89:: with SMTP id p9mr231447wma.4.1603126885599;
 Mon, 19 Oct 2020 10:01:25 -0700 (PDT)
Received: from pfiuh02 ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id x65sm263197wmg.1.2020.10.19.10.01.24
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 19 Oct 2020 10:01:24 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Bengt Richter <bokr@HIDDEN>
Subject: Re: bug#43960:
References: <CAAxPsTEsKy3RsLB0qM-P2FxsYSXEOFG7REP-t5DA1DNmFiE=tQ@HIDDEN>
 <CAAxPsTFE9A_YBGbvMAgEpJz=mXMbZM66C-Q6HfMCop0RdvsMFg@HIDDEN>
 <878scbib5u.fsf@nckx> <87pn5jc4bt.fsf@HIDDEN>
 <86zh4n253h.fsf@HIDDEN> <20201015135249.GA2949@LionPure>
 <CAJ3okZ2chcK-J9Bn0+Mxjtyd4U9e6439kL9hYLPo8Mn4JY9ztw@HIDDEN>
 <20201015163923.GA4601@LionPure>
Date: Mon, 19 Oct 2020 19:01:24 +0200
In-Reply-To: <20201015163923.GA4601@LionPure> (Bengt Richter's message of
 "Thu, 15 Oct 2020 18:39:23 +0200")
Message-ID: <87o8kyf8uz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43960
Cc: 43960 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 =?utf-8?B?0JTQvNC40YLRgNC40Lkg0J/QvtC70Y/QutC+0LI=?=
 <liltechdude@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dear,

On Thu, 15 Oct 2020 at 18:39, Bengt Richter <bokr@HIDDEN> wrote:
>> On Thu, 15 Oct 2020 at 15:53, Bengt Richter <bokr@HIDDEN> wrote:
>>=20
>> > If there is a left-over from old manual installation advice like
>> > --8<---------------cut here---------------start------------->8---
>> > /usr/local/bin/guix:
>> >     symbolic link to /var/guix/profiles/per-user/root/current-guix/bin=
/guix
>> > --8<---------------cut here---------------end--------------->8---
>> > could it interfere in any way with the above, or subsequent operation?

I do not think it interferes.


> Yes. I didn't realize it was still there -- I may mis-remember some discu=
ssion
> deprecating the use of /usr/local/* to affect the namespace seen when typ=
ing
> guix whatever.
> (vs putting needed info in ~/.bash_profile or ~/.profile)

I am not sure to understand what you mean.  I should have missed such
discussions.  Do you have pointers?


> I.e., even though the target is /var/guix/... it is not by way of
> ~/.guix-profile unless
> that's been put first in the path via ~/.bash_profile.
>
> But /usr/local/bin is typically on a default PATH, so could you not
> accidentally see the
> wrong guix (rather than a more informative file-not-found) if the envirom=
ent
> was not
> straight-forwardly inherited from a normal login? (e.g. emacs subshell pt=
s?
> Haven't checked ;)

I am sorry, I do not understand your point.  On Debian, fresh user:

--8<---------------cut here---------------start------------->8---
$ ls -a
.  ..  .bash_logout  .bashrc  .profile
$ which guix
/usr/local/bin/guix
$ guix pull
[..]
hint: Consider setting the necessary environment variables by running:

     GUIX_PROFILE=3D"/home/kikoo/.config/guix/current"
     . "$GUIX_PROFILE/etc/profile"

Alternately, see `guix package --search-paths -p "/home/kikoo/.config/guix/=
current"'.


hint: Run `guix pull --news' to read all the news.

hint: After setting `PATH', run `hash guix' to make sure your shell refers =
to
`/home/kikoo/.config/guix/current/bin/guix'.

$ guix pull # again
nothing to be done

hint: Run `guix pull --news' to read all the news.

hint: After setting `PATH', run `hash guix' to make sure your shell refers =
to
`/home/kikoo/.config/guix/current/bin/guix'.
--8<---------------cut here---------------end--------------->8---

Is your point that:

   guix install hello

will install =E2=80=99hello=E2=80=99 from the Guix at version of =E2=80=99/=
usr/local/bin/guix=E2=80=99?
Well, if you see improvements in this area, please open a separate
bug/whishlist report.


All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#43960; Package guix. Full text available.

Message received at 43960 <at> debbugs.gnu.org:


Received: (at 43960) by debbugs.gnu.org; 15 Oct 2020 16:39:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 15 12:39:39 2020
Received: from localhost ([127.0.0.1]:56406 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kT6Hy-0002gO-S2
	for submit <at> debbugs.gnu.org; Thu, 15 Oct 2020 12:39:39 -0400
Received: from imta-38.everyone.net ([216.200.145.38]:56078)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bokr@HIDDEN>) id 1kT6Hx-0002gG-4e
 for 43960 <at> debbugs.gnu.org; Thu, 15 Oct 2020 12:39:37 -0400
Received: from pps.filterd (omta003.sj2.proofpoint.com [127.0.0.1])
 by imta-38.everyone.net (8.16.0.43/8.16.0.43) with SMTP id 09FGcZUF008900;
 Thu, 15 Oct 2020 09:39:36 -0700
X-Eon-Originating-Account: Y-pwmLhimKxmx3M8_i98HNLsEFOyAVcwJ5ZUa00jsBo
X-Eon-Dm: m0116952.ppops.net
Received: by m0116952.mta.everyone.net (EON-AUTHRELAY2 - 53b92cce)
 id m0116952.5f62b23f.24866d; Thu, 15 Oct 2020 09:39:34 -0700
X-Eon-Sig: AQMHrIJfiHtGvc+L8QIAAAAE,7391bad4c2768886837c98f3cbe6facd
X-Eip: VS8jHREwovaOU7NrlQLtns2Vu1eHYRdWVvayGZKvOHM
Date: Thu, 15 Oct 2020 18:39:23 +0200
From: Bengt Richter <bokr@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#43960:
Message-ID: <20201015163923.GA4601@LionPure>
References: <CAAxPsTEsKy3RsLB0qM-P2FxsYSXEOFG7REP-t5DA1DNmFiE=tQ@HIDDEN>
 <CAAxPsTFE9A_YBGbvMAgEpJz=mXMbZM66C-Q6HfMCop0RdvsMFg@HIDDEN>
 <878scbib5u.fsf@nckx> <87pn5jc4bt.fsf@HIDDEN>
 <86zh4n253h.fsf@HIDDEN> <20201015135249.GA2949@LionPure>
 <CAJ3okZ2chcK-J9Bn0+Mxjtyd4U9e6439kL9hYLPo8Mn4JY9ztw@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
In-Reply-To: <CAJ3okZ2chcK-J9Bn0+Mxjtyd4U9e6439kL9hYLPo8Mn4JY9ztw@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.235, 18.0.687
 definitions=2020-10-15_10:2020-10-14,
 2020-10-15 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 malwarescore=0 phishscore=0
 adultscore=0 suspectscore=0 bulkscore=0 clxscore=1034 lowpriorityscore=0
 mlxscore=0 mlxlogscore=999 impostorscore=0 priorityscore=1501
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2010150110
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 43960
Cc: 43960 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 =?utf-8?B?0JTQvNC40YLRgNC40Lkg0J/QvtC70Y/QutC+0LI=?=
 <liltechdude@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Bengt Richter <bokr@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

Hi Simon,

On +2020-10-15 15:56:41 +0200, zimoun wrote:
> Hi Bengt,
> 
> On Thu, 15 Oct 2020 at 15:53, Bengt Richter <bokr@HIDDEN> wrote:
> 
> > If there is a left-over from old manual installation advice like
> > --8<---------------cut here---------------start------------->8---
> > /usr/local/bin/guix:
> >     symbolic link to /var/guix/profiles/per-user/root/current-guix/bin/guix
> > --8<---------------cut here---------------end--------------->8---
> > could it interfere in any way with the above, or subsequent operation?
> 
> You mean the step #6 from the manual [1], right?
>

Yes. I didn't realize it was still there -- I may mis-remember some discussion
deprecating the use of /usr/local/* to affect the namespace seen when typing guix whatever.
(vs putting needed info in ~/.bash_profile or ~/.profile)

I.e., even though the target is /var/guix/... it is not by way of ~/.guix-profile unless
that's been put first in the path via ~/.bash_profile.

But /usr/local/bin is typically on a default PATH, so could you not accidentally see the
wrong guix (rather than a more informative file-not-found) if the enviroment was not
straight-forwardly inherited from a normal login? (e.g. emacs subshell pts? Haven't checked ;)

Also doesn't the ".../per-user/root/..." part in the link make you dependent
on the result of _sudo_ guix pull, not plain guix pull? (or are they equivalent somehow?)

IDK, but I really don't like typing "sudo guix ..." any better than "sudo firefox" or "sudo python"
or "sudo <anything I can't completely predict what files condition the outputs or where they go>"

I hope we can get to 100%-user-mode guix. Maybe offloading to containerized guix
systems could be a model for swarms of cooperating user-mode peers (modulo some protocol
for synchronizing versions identified by guix describe) for distributed challenges,
and normal usage would run guix with a localhost swarm providing the guix user-mode-daemons ;)

> 1: <https://guix.gnu.org/devel/manual/en/guix.html#Binary-Installation>
> 
> 
> All the best,
> simon

Sorry if this is only illustrating my noob misconceptions :)

-- 
Regards,
Bengt Richter




Information forwarded to bug-guix@HIDDEN:
bug#43960; Package guix. Full text available.

Message received at 43960 <at> debbugs.gnu.org:


Received: (at 43960) by debbugs.gnu.org; 15 Oct 2020 13:57:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 15 09:57:04 2020
Received: from localhost ([127.0.0.1]:56123 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kT3kd-0006u2-Uu
	for submit <at> debbugs.gnu.org; Thu, 15 Oct 2020 09:57:04 -0400
Received: from mail-qk1-f176.google.com ([209.85.222.176]:38958)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kT3kZ-0006tP-6I
 for 43960 <at> debbugs.gnu.org; Thu, 15 Oct 2020 09:57:03 -0400
Received: by mail-qk1-f176.google.com with SMTP id k9so2390422qki.6
 for <43960 <at> debbugs.gnu.org>; Thu, 15 Oct 2020 06:56:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=pEqQK+ZC/QE33BWXc1T05HB85xPMvlCXWxv1gTD9biU=;
 b=rRUcRoHcDaANCMyKO1kQEg22yMXYbX25OOOKqeHSPpw7vDS/7PSDunwRrfz8BtmVGE
 XYQfHxuuWUudWSRxdi78b8Y1ZSVBsgwhnb/fvlhgxndqkIBCmY5d5EEBjQ+4Z3B1v80A
 V2GlH2XCkDO6DvBJfZWsiWsHD+sArFXmfznpubtAg1S+5fEtDfdOHj4mGeN1JCO7dN/S
 ABSvUUcpna0YF2K/Et7Io3PiiRfc8xF3nuPeaBmru4ycaWUcqDIH/rCgvAU/KSR3+4qV
 Z2KnY5sN/Kkzb+ov2SyLobRI/V6STSX1NtVtsVaS/CCXlUC3oC4ITrSJ6IdfKzTZfWy6
 yaew==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=pEqQK+ZC/QE33BWXc1T05HB85xPMvlCXWxv1gTD9biU=;
 b=ABIKFRG994R4CqXmwkoFI/qoS/qDid50ZtBHENShuw555mQJVGuJpSgHPppt5S/E/J
 Jy1Hfz+7THaxEpCngwFDqCZetjX9UkhEDCu6XCr62kzWp5P1JgK7Ybktudu3hIqRNAMS
 KoMrHS7ok2mRan0QR7v794zkm4JDLk1stR2Ku5BQCeu5y7ABbBJasmzUGMe9MF85dAkR
 va8iQrL9DuScIJdxlKVJQESjLJoxNyeChIXG5Rw0zYm369WcnWBULioDyoM7OLkrTQr/
 sRfaLn/S2CdtjBE7hltgIy5FgFN6Ri8Eu6xVGSUawTAvlplC8umaOlFRBnquCwmKiMtj
 EOTQ==
X-Gm-Message-State: AOAM532ImA5gr1n4XVq7ufBX6ZzsXhvM1dZYMoD9tMI2atLRKsB48s57
 2eJ28i7kcuJFO5ZdhIE4Dze4a9BrBT8Zi2e0qSk=
X-Google-Smtp-Source: ABdhPJwlwY5v9Qw44snV5YKVCLtcKp4QH9nYLDs5iU3qrJOAjdMvh+DkcGTTpvgSyHa+IQHhcjVnb9NDCGhdyVhWvpA=
X-Received: by 2002:a37:aa05:: with SMTP id t5mr4102229qke.126.1602770213528; 
 Thu, 15 Oct 2020 06:56:53 -0700 (PDT)
MIME-Version: 1.0
References: <CAAxPsTEsKy3RsLB0qM-P2FxsYSXEOFG7REP-t5DA1DNmFiE=tQ@HIDDEN>
 <CAAxPsTFE9A_YBGbvMAgEpJz=mXMbZM66C-Q6HfMCop0RdvsMFg@HIDDEN>
 <878scbib5u.fsf@nckx> <87pn5jc4bt.fsf@HIDDEN> <86zh4n253h.fsf@HIDDEN>
 <20201015135249.GA2949@LionPure>
In-Reply-To: <20201015135249.GA2949@LionPure>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Thu, 15 Oct 2020 15:56:41 +0200
Message-ID: <CAJ3okZ2chcK-J9Bn0+Mxjtyd4U9e6439kL9hYLPo8Mn4JY9ztw@HIDDEN>
Subject: Re: bug#43960:
To: Bengt Richter <bokr@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43960
Cc: 43960 <at> debbugs.gnu.org, =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>,
 =?UTF-8?B?0JTQvNC40YLRgNC40Lkg0J/QvtC70Y/QutC+0LI=?=
 <liltechdude@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Bengt,

On Thu, 15 Oct 2020 at 15:53, Bengt Richter <bokr@HIDDEN> wrote:

> If there is a left-over from old manual installation advice like
> --8<---------------cut here---------------start------------->8---
> /usr/local/bin/guix:
>     symbolic link to /var/guix/profiles/per-user/root/current-guix/bin/guix
> --8<---------------cut here---------------end--------------->8---
> could it interfere in any way with the above, or subsequent operation?

You mean the step #6 from the manual [1], right?

1: <https://guix.gnu.org/devel/manual/en/guix.html#Binary-Installation>


All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#43960; Package guix. Full text available.

Message received at 43960 <at> debbugs.gnu.org:


Received: (at 43960) by debbugs.gnu.org; 15 Oct 2020 13:53:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 15 09:53:07 2020
Received: from localhost ([127.0.0.1]:54873 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kT3gp-0006VF-3i
	for submit <at> debbugs.gnu.org; Thu, 15 Oct 2020 09:53:07 -0400
Received: from imta-36.everyone.net ([216.200.145.36]:44780
 helo=imta-38.everyone.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bokr@HIDDEN>) id 1kT3gm-0006V5-Do
 for 43960 <at> debbugs.gnu.org; Thu, 15 Oct 2020 09:53:05 -0400
Received: from pps.filterd (m0004960.ppops.net [127.0.0.1])
 by imta-38.everyone.net (8.16.0.43/8.16.0.43) with SMTP id 09FDhraS025640;
 Thu, 15 Oct 2020 06:53:01 -0700
X-Eon-Originating-Account: SmxG3dEhBgKs7Ud7BOd59hlCCHbprQs-wyxxlg64oSI
X-Eon-Dm: m0116953.ppops.net
Received: by m0116953.mta.everyone.net (EON-AUTHRELAY2 - 53b92cce)
 id m0116953.5f62b242.247c77; Thu, 15 Oct 2020 06:52:59 -0700
X-Eon-Sig: AQMHrIJfiFQ7G0ZRyQIAAAAE,6b4d8f229f33ebf803237f190742b158
X-Eip: FhS16bpOJk072mu9gEHOYs8OE5Cj5t5qjFxKt1XpjqM
Date: Thu, 15 Oct 2020 15:52:49 +0200
From: Bengt Richter <bokr@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#43960:
Message-ID: <20201015135249.GA2949@LionPure>
References: <CAAxPsTEsKy3RsLB0qM-P2FxsYSXEOFG7REP-t5DA1DNmFiE=tQ@HIDDEN>
 <CAAxPsTFE9A_YBGbvMAgEpJz=mXMbZM66C-Q6HfMCop0RdvsMFg@HIDDEN>
 <878scbib5u.fsf@nckx> <87pn5jc4bt.fsf@HIDDEN>
 <86zh4n253h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <86zh4n253h.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.235, 18.0.687
 definitions=2020-10-15_08:2020-10-14,
 2020-10-15 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxscore=0
 clxscore=1034 phishscore=0
 spamscore=0 bulkscore=0 lowpriorityscore=0 suspectscore=0 mlxlogscore=859
 adultscore=0 malwarescore=0 priorityscore=1501 impostorscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2010150098
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 43960
Cc: 43960 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 =?utf-8?B?0JTQvNC40YLRgNC40Lkg0J/QvtC70Y/QutC+0LI=?=
 <liltechdude@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Bengt Richter <bokr@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On +2020-10-15 11:47:30 +0200, zimoun wrote:
> Hi,
> 
> On Thu, 15 Oct 2020 at 09:53, Ludovic Courtès <ludo@HIDDEN> wrote:
> 
> > I don’t think it’s a reasonable response: it’s a fact that we naturally
> > tend to read manuals sparsely, at best.
> >
> > Since the pastes vanished, how did ‘sudo guix pull’ lead to incompatible
> > bytecode warnings?
> 
> If I remember correctly (which is neither a reasonable response :-)), it
> should highly come from the user config.  And the investigation needs
> more information, e.g., as Tobias asks: the output of:
> 
>   $ type guix
>   $ ls -l ~/.config/guix/current
>   $ sudo rm ~/.config/guix/current
>   $ /run/current-system/profile/bin/guix pull
>   $ hash guix
>   $ type guix
> 
> All the best,
> simon
>

If there is a left-over from old manual installation advice like
--8<---------------cut here---------------start------------->8---
/usr/local/bin/guix:
    symbolic link to /var/guix/profiles/per-user/root/current-guix/bin/guix
--8<---------------cut here---------------end--------------->8---
could it interfere in any way with the above, or subsequent operation?

-- 
Regards,
Bengt Richter




Information forwarded to bug-guix@HIDDEN:
bug#43960; Package guix. Full text available.

Message received at 43960 <at> debbugs.gnu.org:


Received: (at 43960) by debbugs.gnu.org; 15 Oct 2020 09:47:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 15 05:47:40 2020
Received: from localhost ([127.0.0.1]:54370 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSzrI-0006T3-La
	for submit <at> debbugs.gnu.org; Thu, 15 Oct 2020 05:47:40 -0400
Received: from mail-wm1-f50.google.com ([209.85.128.50]:55053)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kSzrG-0006So-R5
 for 43960 <at> debbugs.gnu.org; Thu, 15 Oct 2020 05:47:39 -0400
Received: by mail-wm1-f50.google.com with SMTP id p15so2474085wmi.4
 for <43960 <at> debbugs.gnu.org>; Thu, 15 Oct 2020 02:47:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=4f7629fbX8gxrvgLOEyodRt5m2kZdwdi4/1fh4rlf9w=;
 b=jllKyoJSRLt39gKt17p30RwXSLDqt0MKcQ1Nh6QMPtGlESRSQeokcHSy7pWuBKzG88
 zXT4Uz19PEFcKGJc4Vj4cPQlvRR+QsZepsqSpWCeG0dbdXC68ZaguqE3NjoR3LAmCfkB
 kClLkAMuqzs55ZTeOwjM6FW+gI0GZxVM9RpAHL/sX9IPXCWrklFvDnYOcuBRwUcpszYc
 qYDk8h1KSuA1naVSYAGNgfGMZglIuIRr66HDk4W6OmHwOsYWqq+WdCl8QrGYKGfwwf+z
 mmhB17cb3MkivM7WDrrS+p+0X8JGLlfJyevRM7cSxC0IuZam3UZqGC6MiDH/ETldsxxD
 cptQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=4f7629fbX8gxrvgLOEyodRt5m2kZdwdi4/1fh4rlf9w=;
 b=FJyf7O12XrKFO+RT91IsfHIdpAsH0scC6cHAOeF1w/P2A3tIcLy00yLHvbxNFKb4EA
 t6LV3q+gQ4yxOuT7THTcOE8msdS/qqIFkqwuPoGl/yEgBiFLG5BLwhMkW919Afn8QEDi
 r9NQpGO2AEZlpUclsC5Cj57DnAUtknNy8fc66iHwnRafd/3XM736La72sE55Q1wqRq9r
 82PSfC9/v6E4uWhgjhfHMLeIQHhXl9VxO1QnEsXHdItOnnFRhWRvMmddteCoJ6Kh0xqr
 U3TtBcEJkOExX5TcKrmF5XRxaTJqyy9l93e1X+BZgRns9Xf6DUXlktHk57G1Bz9AeL/d
 54RA==
X-Gm-Message-State: AOAM5324c2mWKVY5+MwlgUnveRIcvScirUlapSzM+gJzz2oxv1+qa5NR
 aeyT6Vbl4zyfSAZcmENBvG8=
X-Google-Smtp-Source: ABdhPJy29RXG+qtaWcvdJjFcafWr2gQRNSIIn1DnmlAwZdSsjv5JiLlsVJaFp5JMH42ODYVPgTXpOA==
X-Received: by 2002:a05:600c:2284:: with SMTP id
 4mr2936447wmf.163.1602755252935; 
 Thu, 15 Oct 2020 02:47:32 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id u15sm3440178wml.21.2020.10.15.02.47.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 15 Oct 2020 02:47:32 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#43960:
References: <CAAxPsTEsKy3RsLB0qM-P2FxsYSXEOFG7REP-t5DA1DNmFiE=tQ@HIDDEN>
 <CAAxPsTFE9A_YBGbvMAgEpJz=mXMbZM66C-Q6HfMCop0RdvsMFg@HIDDEN>
 <878scbib5u.fsf@nckx> <87pn5jc4bt.fsf@HIDDEN>
Date: Thu, 15 Oct 2020 11:47:30 +0200
In-Reply-To: <87pn5jc4bt.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Thu, 15 Oct 2020 09:53:58 +0200")
Message-ID: <86zh4n253h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43960
Cc: 43960 <at> debbugs.gnu.org, Tobias Geerinckx-Rice <me@HIDDEN>,
 =?utf-8?B?0JTQvNC40YLRgNC40Lkg0J/QvtC70Y/QutC+0LI=?=
 <liltechdude@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Thu, 15 Oct 2020 at 09:53, Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:

> I don=E2=80=99t think it=E2=80=99s a reasonable response: it=E2=80=99s a =
fact that we naturally
> tend to read manuals sparsely, at best.
>
> Since the pastes vanished, how did =E2=80=98sudo guix pull=E2=80=99 lead =
to incompatible
> bytecode warnings?

If I remember correctly (which is neither a reasonable response :-)), it
should highly come from the user config.  And the investigation needs
more information, e.g., as Tobias asks: the output of:

  $ type guix
  $ ls -l ~/.config/guix/current
  $ sudo rm ~/.config/guix/current
  $ /run/current-system/profile/bin/guix pull
  $ hash guix
  $ type guix

All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#43960; Package guix. Full text available.

Message received at 43960 <at> debbugs.gnu.org:


Received: (at 43960) by debbugs.gnu.org; 15 Oct 2020 07:54:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 15 03:54:08 2020
Received: from localhost ([127.0.0.1]:54102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSy5Q-0007jW-E4
	for submit <at> debbugs.gnu.org; Thu, 15 Oct 2020 03:54:08 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1kSy5N-0007j0-LM
 for 43960 <at> debbugs.gnu.org; Thu, 15 Oct 2020 03:54:06 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45908)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1kSy5H-0000gw-Ul; Thu, 15 Oct 2020 03:53:59 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=51824 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1kSy5H-0001DB-JZ; Thu, 15 Oct 2020 03:53:59 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#43960:
References: <CAAxPsTEsKy3RsLB0qM-P2FxsYSXEOFG7REP-t5DA1DNmFiE=tQ@HIDDEN>
 <CAAxPsTFE9A_YBGbvMAgEpJz=mXMbZM66C-Q6HfMCop0RdvsMFg@HIDDEN>
 <878scbib5u.fsf@nckx>
Date: Thu, 15 Oct 2020 09:53:58 +0200
In-Reply-To: <878scbib5u.fsf@nckx> (Tobias Geerinckx-Rice's message of "Mon,
 12 Oct 2020 19:53:01 +0200")
Message-ID: <87pn5jc4bt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43960
Cc: 43960 <at> debbugs.gnu.org, =?utf-8?B?0JTQvNC40YLRgNC40Lkg0J/QvtC70Y/QutC+0LI=?=
 <liltechdude@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Tobias Geerinckx-Rice <me@HIDDEN> skribis:

> =D0=94=D0=BC=D0=B8=D1=82=D1=80=D0=B8=D0=B9 =D0=9F=D0=BE=D0=BB=D1=8F=D0=BA=
=D0=BE=D0=B2 =E5=86=99=E9=81=93=EF=BC=9A
>> When I type with sudo:
>> lil@guix ~
>> $ sudo guix pull
>
> Never run =E2=80=98guix pull=E2=80=99 with sudo!
>
> Why is explained in the manual (3.7 After System Installation). While
> guix could detect and warn about it (and I'm sure that's already been
> proposed) you should always read the manual before typing commands.

I don=E2=80=99t think it=E2=80=99s a reasonable response: it=E2=80=99s a fa=
ct that we naturally
tend to read manuals sparsely, at best.

Since the pastes vanished, how did =E2=80=98sudo guix pull=E2=80=99 lead to=
 incompatible
bytecode warnings?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#43960; Package guix. Full text available.

Message received at 43960 <at> debbugs.gnu.org:


Received: (at 43960) by debbugs.gnu.org; 12 Oct 2020 17:53:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 13:53:05 2020
Received: from localhost ([127.0.0.1]:43914 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kS20O-0005HI-Rw
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 13:53:05 -0400
Received: from tobias.gr ([80.241.217.52]:39324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kS20K-0005Gp-Iv
 for 43960 <at> debbugs.gnu.org; Mon, 12 Oct 2020 13:53:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=egF+31MhkN9O6UtJsm+nNxaTHBLeSblLfKyxAW8UCos=; h=date:in-reply-to:
 references:subject:cc:to:from; b=HrdxZY0eCmkZV6EiswPTy4V71Nu2SDkoyO7Hl
 KwpVwSjhQ1AvSBHhoQP1VqPzrlQxKGhlfCT8VMlW0P9Ut9aRQ/TQmrgs3Q3pvgYs7jYzXS
 /zm2HG3fHjTeEI7jU/19FyHnINVUf4nzdTUnLup4xpNGr0wFU+nEyQuyi/XCnyJLSA/FG/
 vhkYOWc8p9taeeJWgJRl/6LDhVbPtEPM1nTxePQYMlcovv7z4fIya7llmaJ1EzZGNtDqVI
 UX3Jkhn6TtzvUQccaE+AbWakQI9Kw6k/MVBjwVh2FqEAjuEDHBEibPKtCyvX9/fIUWuvwS
 +n4VNhj5iPbG+QxKSMKdzPBpA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 598fe69c
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Mon, 12 Oct 2020 17:53:10 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: =?utf-8?B?0JTQvNC40YLRgNC40Lkg0J/QvtC70Y/QutC+0LI=?=
 <liltechdude@HIDDEN>
Subject: Re: bug#43960:
References: <CAAxPsTEsKy3RsLB0qM-P2FxsYSXEOFG7REP-t5DA1DNmFiE=tQ@HIDDEN>
 <CAAxPsTFE9A_YBGbvMAgEpJz=mXMbZM66C-Q6HfMCop0RdvsMFg@HIDDEN>
In-reply-to: <CAAxPsTFE9A_YBGbvMAgEpJz=mXMbZM66C-Q6HfMCop0RdvsMFg@HIDDEN>
Date: Mon, 12 Oct 2020 19:53:01 +0200
Message-ID: <878scbib5u.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43960
Cc: 43960 <at> debbugs.gnu.org, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

=D0=94=D0=BC=D0=B8=D1=82=D1=80=D0=B8=D0=B9 =D0=9F=D0=BE=D0=BB=D1=8F=D0=BA=
=D0=BE=D0=B2 =E5=86=99=E9=81=93=EF=BC=9A
> When I type with sudo:
> lil@guix ~
> $ sudo guix pull

Never run =E2=80=98guix pull=E2=80=99 with sudo!

Why is explained in the manual (3.7 After System Installation).=20
While guix could detect and warn about it (and I'm sure that's=20
already been proposed) you should always read the manual before=20
typing commands.

Please run (and post the output of):

  $ type guix
  $ ls -l ~/.config/guix/current
  $ sudo rm ~/.config/guix/current
  $ /run/current-system/profile/bin/guix pull
  $ hash guix
  $ type guix

This should print

  guix is /home/nckx/.config/guix/current/bin/guix

If so, the following command will reconfigure your system using=20
your guix, not root's guix:

  $ sudo guix system reconfigure /etc/config.scm

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX4SX/Q0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15Y+gBAKZ73c17i1+f285bTBoQiu5ufbz2uD8UjBJQnLk/
zNaRAQCuiFB7kXHPcmCFuLHkzStZvEi/Sp8WxSe07hnc54EyCA==
=rmdU
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#43960; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Oct 2020 17:53:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 13:53:09 2020
Received: from localhost ([127.0.0.1]:43917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kS20S-0005HY-3R
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 13:53:09 -0400
Received: from lists.gnu.org ([209.51.188.17]:38094)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1kS20P-0005HP-Cs
 for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 13:53:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60214)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kS20P-0000Wo-2l
 for bug-guix@HIDDEN; Mon, 12 Oct 2020 13:53:05 -0400
Received: from tobias.gr ([2a02:c205:2020:6054::1]:49382)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1kS20N-0008DG-3X
 for bug-guix@HIDDEN; Mon, 12 Oct 2020 13:53:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tobias.gr; s=2018;
 bh=egF+31MhkN9O6UtJsm+nNxaTHBLeSblLfKyxAW8UCos=; h=date:in-reply-to:
 references:subject:cc:to:from; b=HrdxZY0eCmkZV6EiswPTy4V71Nu2SDkoyO7Hl
 KwpVwSjhQ1AvSBHhoQP1VqPzrlQxKGhlfCT8VMlW0P9Ut9aRQ/TQmrgs3Q3pvgYs7jYzXS
 /zm2HG3fHjTeEI7jU/19FyHnINVUf4nzdTUnLup4xpNGr0wFU+nEyQuyi/XCnyJLSA/FG/
 vhkYOWc8p9taeeJWgJRl/6LDhVbPtEPM1nTxePQYMlcovv7z4fIya7llmaJ1EzZGNtDqVI
 UX3Jkhn6TtzvUQccaE+AbWakQI9Kw6k/MVBjwVh2FqEAjuEDHBEibPKtCyvX9/fIUWuvwS
 +n4VNhj5iPbG+QxKSMKdzPBpA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 598fe69c
 (TLSv1.2:ECDHE-ECDSA-AES256-GCM-SHA384:256:NO); 
 Mon, 12 Oct 2020 17:53:10 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: =?utf-8?B?0JTQvNC40YLRgNC40Lkg0J/QvtC70Y/QutC+0LI=?=
 <liltechdude@HIDDEN>
Subject: Re: bug#43960:
References: <CAAxPsTEsKy3RsLB0qM-P2FxsYSXEOFG7REP-t5DA1DNmFiE=tQ@HIDDEN>
 <CAAxPsTFE9A_YBGbvMAgEpJz=mXMbZM66C-Q6HfMCop0RdvsMFg@HIDDEN>
In-reply-to: <CAAxPsTFE9A_YBGbvMAgEpJz=mXMbZM66C-Q6HfMCop0RdvsMFg@HIDDEN>
Date: Mon, 12 Oct 2020 19:53:01 +0200
Message-ID: <878scbib5u.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 43960 <at> debbugs.gnu.org, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

=D0=94=D0=BC=D0=B8=D1=82=D1=80=D0=B8=D0=B9 =D0=9F=D0=BE=D0=BB=D1=8F=D0=BA=
=D0=BE=D0=B2 =E5=86=99=E9=81=93=EF=BC=9A
> When I type with sudo:
> lil@guix ~
> $ sudo guix pull

Never run =E2=80=98guix pull=E2=80=99 with sudo!

Why is explained in the manual (3.7 After System Installation).=20
While guix could detect and warn about it (and I'm sure that's=20
already been proposed) you should always read the manual before=20
typing commands.

Please run (and post the output of):

  $ type guix
  $ ls -l ~/.config/guix/current
  $ sudo rm ~/.config/guix/current
  $ /run/current-system/profile/bin/guix pull
  $ hash guix
  $ type guix

This should print

  guix is /home/nckx/.config/guix/current/bin/guix

If so, the following command will reconfigure your system using=20
your guix, not root's guix:

  $ sudo guix system reconfigure /etc/config.scm

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX4SX/Q0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15Y+gBAKZ73c17i1+f285bTBoQiu5ufbz2uD8UjBJQnLk/
zNaRAQCuiFB7kXHPcmCFuLHkzStZvEi/Sp8WxSe07hnc54EyCA==
=rmdU
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#43960; Package guix. Full text available.

Message received at 43960 <at> debbugs.gnu.org:


Received: (at 43960) by debbugs.gnu.org; 12 Oct 2020 16:51:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 12:51:32 2020
Received: from localhost ([127.0.0.1]:43833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kS12p-0003mi-PH
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 12:51:32 -0400
Received: from mail-lf1-f41.google.com ([209.85.167.41]:43343)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liltechdude@HIDDEN>) id 1kS0wR-0003bX-VS
 for 43960 <at> debbugs.gnu.org; Mon, 12 Oct 2020 12:44:56 -0400
Received: by mail-lf1-f41.google.com with SMTP id l28so3724439lfp.10
 for <43960 <at> debbugs.gnu.org>; Mon, 12 Oct 2020 09:44:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=8TMqigRMsCQOErx4+iWf9Vp2G97cAHrUeuqCPTmJ8BI=;
 b=eV10lq/A7bgsF4C7LEu0EwP7GtVa2j/y0hriRnpDn2LyOJRsMhSQUtYrFtRNaQKDQY
 O789xZbG+i2ewCwEfNUbHcuJtMyWM7h/yhPjIWybuO6UY9Aej5ycbg/ddveZArIjLPzN
 wHSDlNKXyneLGtRcM3MsOwtNYOVbwXIP4WB8YEpJu1QbN8sZ4vxdLKHz5HuitPqbD7p5
 m/L5npORuUUiAAtDN9oC935d2T1U6/2EEQORZBumL4U2o7IrU60fshlTnn3J/RAyNj6v
 o2SSFQBmiz+RQ6czvrSnHVM21S1D4SvtD+2JwZRv7CDllf10kgbFCD/l4/ffMYtt0y3v
 KuDg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=8TMqigRMsCQOErx4+iWf9Vp2G97cAHrUeuqCPTmJ8BI=;
 b=WNm7hPUt+iRuEtrv3FNTBWTrVbCzRw9tLGcgL9J83a9/ScS/0ke19YOtPnvNeD2ztx
 CzcydkEWQaiuNmsCJDoITu2icds8pOVvP30I5ZIIBfKGkWC8qIKBCp47YDvxp/X//Ra9
 cWnpvFpAIN5AqZADig9xAqf9hchNRWy8bsuFbsI5/cxE/wk15pBfTQ6eHUmanXY2b4mm
 g4UJNtytMSAhUZG8jf7EaA/zlYa/oTZ1TlVDv0SpUT1NtujVEEg5ONbMPpi5p5nojbM3
 m7zPrO7zr1XVf2QpVNDNa1jlUJKiIXtjHs8lJ9xR68WC/p6h/eKSe7A8PsXztjJoidlO
 d8sw==
X-Gm-Message-State: AOAM533xp4/y3Pg3EHT/uJDM48vrfOQsWPk2IPWW0qW+powi+C1kNDmd
 1L9shbVfWLvl9WWK8QfZuL0WBkNhxR0fdKlnYTzpDJjp
X-Google-Smtp-Source: ABdhPJwg3RxlUO6drKkcORja2NhX4veQ7GPngcgZDhuMShiX1uJGf8pGs+O9IgzqrEAjnuUG4ttAS0ulyqx/I7IrpLQ=
X-Received: by 2002:a19:c02:: with SMTP id 2mr1083350lfm.510.1602521089529;
 Mon, 12 Oct 2020 09:44:49 -0700 (PDT)
MIME-Version: 1.0
From: =?UTF-8?B?0JTQvNC40YLRgNC40Lkg0J/QvtC70Y/QutC+0LI=?=
 <liltechdude@HIDDEN>
Date: Mon, 12 Oct 2020 21:37:12 +0530
Message-ID: <CAAxPsTFE9A_YBGbvMAgEpJz=mXMbZM66C-Q6HfMCop0RdvsMFg@HIDDEN>
Subject: 
To: 43960 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="000000000000495be705b17c042e"
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: When I type with sudo: https://paste.debian.net/1166846
 Output
 from guix system reconfigure /etc/config.scm https://paste.debian.net/1166847
 my env https://paste.debian.net/1166848 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.41 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (liltechdude[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.41 listed in wl.mailspike.net]
 0.0 HTML_MESSAGE           BODY: HTML included in message
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: 43960
X-Mailman-Approved-At: Mon, 12 Oct 2020 12:51:29 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

--000000000000495be705b17c042e
Content-Type: text/plain; charset="UTF-8"

When I type with sudo:
https://paste.debian.net/1166846

Output from guix system reconfigure /etc/config.scm
https://paste.debian.net/1166847

my env
https://paste.debian.net/1166848

my bashrc
https://github.com/Lenin1917/dotfiles/blob/master/shell/dot-bashrc

--000000000000495be705b17c042e
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto"><div dir=3D"auto">When I type with sudo:</div><div dir=3D=
"auto"><a href=3D"https://paste.debian.net/1166846">https://paste.debian.ne=
t/1166846</a></div><div dir=3D"auto"><br></div><div dir=3D"auto">Output fro=
m guix system reconfigure /etc/config.scm</div><div dir=3D"auto"><a href=3D=
"https://paste.debian.net/1166847">https://paste.debian.net/1166847</a></di=
v><div dir=3D"auto"><br></div><div dir=3D"auto">my env</div><div dir=3D"aut=
o"><a href=3D"https://paste.debian.net/1166848">https://paste.debian.net/11=
66848</a></div><div dir=3D"auto"><br></div><div dir=3D"auto">my bashrc</div=
><div dir=3D"auto"><a href=3D"https://github.com/Lenin1917/dotfiles/blob/ma=
ster/shell/dot-bashrc">https://github.com/Lenin1917/dotfiles/blob/master/sh=
ell/dot-bashrc</a></div></div>

--000000000000495be705b17c042e--




Information forwarded to bug-guix@HIDDEN:
bug#43960; Package guix. Full text available.

Message received at 43960 <at> debbugs.gnu.org:


Received: (at 43960) by debbugs.gnu.org; 12 Oct 2020 15:29:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 11:29:19 2020
Received: from localhost ([127.0.0.1]:43725 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kRzlH-0007lN-96
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 11:29:19 -0400
Received: from mail-qk1-f181.google.com ([209.85.222.181]:39510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kRzlG-0007lB-5v
 for 43960 <at> debbugs.gnu.org; Mon, 12 Oct 2020 11:29:18 -0400
Received: by mail-qk1-f181.google.com with SMTP id k9so3799599qki.6
 for <43960 <at> debbugs.gnu.org>; Mon, 12 Oct 2020 08:29:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=H3W5QrL6ZMasgM2OU+Q+Vk/Jl/rfqC13AtTWFz6J95E=;
 b=Bzre6p4HsCBlha2uyKDO+mvKmBGystSWtvINvVNbQFxiqMdzyvoJX0ns1yqZDt9FZw
 ZyV/Wdf1+KRQn9dQLMznlPTYjNe4DCVGxOPiXzyKCO3GpNc02ErQm7Qr0w5qYWX1UstL
 JPYybRM/acf1ihwsXR2qwRhp+p+5c7i3ci0QgcVDQ10uKINm/RiO7xG1fA597+jPmCzG
 fpznJ6GrFUJckUbbFbBQOBmJ6kXmWUUFDeyues251WPXDxE+oGqnBlwM0do4fhB+kKdj
 HMMsZbl7G34qHveDOXBLJ4V+Kyt91jfPPMLSM4nbxE6yvOB8rwezQ+NKdBadAirFtht8
 13ig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=H3W5QrL6ZMasgM2OU+Q+Vk/Jl/rfqC13AtTWFz6J95E=;
 b=Q7b5ugJwUtkynvCBX3xdgEDoO0xBh0Z0pbfNlfwlSxoLS/hnQ1RnVVVL06d4av5Xg0
 TmEIV55dApQ519dUGsbLZCsViU78TFSqwvChXaLK2qjmMCAwsZD1YXaolVzE57PcyevV
 oWuVlefxazHoPntBrBkgTplgX+MfI20Of+KCzjX+7s4/KS6WioMqNeqLH+/ngDroNum8
 hQvC2peTpatD9uKl7HNt+lOCslOzlF6ZWby99MrwxXzvuwjx0KEMiI7+cuMlPrxhTGty
 XunhlT9l4NV0TVB5YQF1YI8UFwV/51pg7GeVRQqxlfUqcMUdWjiheBdAM6hkvkgBH3PJ
 iQTg==
X-Gm-Message-State: AOAM533Z3gx/CzY8d5VWMuTrKXfn/+4n7fXT4/NPO8yj3EieY9cdBPO0
 Dqp3OYHv8gIqsk9t6Uz3Ct6nJLpqj1gCV7IZTWU=
X-Google-Smtp-Source: ABdhPJyBN4Wco3+HybTl2sY8Lm6mLLPrahIzlPKyLl5Ca+x1NOp3mzKnR7REqNYhZYlzu1NIy/jjMeVABSQSXDUr/oo=
X-Received: by 2002:a37:ac11:: with SMTP id e17mr10329230qkm.232.1602516552625; 
 Mon, 12 Oct 2020 08:29:12 -0700 (PDT)
MIME-Version: 1.0
References: <CAAxPsTEsKy3RsLB0qM-P2FxsYSXEOFG7REP-t5DA1DNmFiE=tQ@HIDDEN>
In-Reply-To: <CAAxPsTEsKy3RsLB0qM-P2FxsYSXEOFG7REP-t5DA1DNmFiE=tQ@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Mon, 12 Oct 2020 17:29:01 +0200
Message-ID: <CAJ3okZ09hE+4uZHhxhJaa4jpgQ6t2KvCvFYj-2sqC1BXGcLv3Q@HIDDEN>
Subject: Re: bug#43960: incompatible bytecode version
To: =?UTF-8?B?0JTQvNC40YLRgNC40Lkg0J/QvtC70Y/QutC+0LI=?=
 <liltechdude@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43960
Cc: 43960 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dear,

Could you please provide more information on what you did?  Or how can
I reproduce your report?

Thank you in advance.

All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#43960; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Oct 2020 14:21:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 10:21:21 2020
Received: from localhost ([127.0.0.1]:43604 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kRyhU-0001ls-Oh
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 10:21:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:47594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liltechdude@HIDDEN>) id 1kRxni-0008ML-Pu
 for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 09:23:44 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45684)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <liltechdude@HIDDEN>)
 id 1kRxni-0000qS-HU
 for bug-guix@HIDDEN; Mon, 12 Oct 2020 09:23:42 -0400
Received: from mail-lf1-x130.google.com ([2a00:1450:4864:20::130]:43752)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <liltechdude@HIDDEN>)
 id 1kRxng-0005f3-HN
 for bug-guix@HIDDEN; Mon, 12 Oct 2020 09:23:42 -0400
Received: by mail-lf1-x130.google.com with SMTP id l28so3064195lfp.10
 for <bug-guix@HIDDEN>; Mon, 12 Oct 2020 06:23:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=a6dT/CxXuHDe7TGZyJ9hiFuUV3c1TYBYTZpC+BFw0iM=;
 b=D3VzInN1bEUMC6IysQH8VVGqagtY3f7OlIKqGL1xhdaIUNfKLBlXQSxCh2gUAtHcjt
 MUvsFcs+XKpjGknYxQdDXBVRl2P1tDpu8IHPxP/P4SgwH2iD5Niw+YvSyYwxSDAKCuZs
 Or9zSUj+9g+37LCeahcxOCiqtfIH8w2hPgeOum7zPZsijsRUUR2t3addZmDj+4fW07uM
 RRmP6zCoX5nz72gvh1q1xTBzAIoObT2VYR3YFRTX4WpsZApFnDUCW7Bdh+YJuJ9SCNff
 hMwKioewCJBJyEhniaIlfjrjR7RDucOQH9xsXoHwPfu8Yrkf/EXTpf/LTzhb0k8Prk3E
 5T8g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=a6dT/CxXuHDe7TGZyJ9hiFuUV3c1TYBYTZpC+BFw0iM=;
 b=B5knKkTMnAy7YuzGEZXMx3e/TkAv0yjkAF5iG0kJU4rNgoAWFiuYAE+YAml+V1GGqQ
 JmLGnFdQY6eVEUl2dQ5FaU4f+5d+emjbcmfcE8cmBlwID1oyGCWfIJDdQ5EW/NFBbdHL
 6s1PSrCFS2Ujx+4JhnI5lNi5ibe4P6jtIZ1/83gITNPrqzodSrMO73KYMAJ6vuI6muV8
 XX36vNaOchqQ58iTeeB9kETRz1mc5fc7jIYpKmuxMngQh90FFaPRqiUMCHv/d0ic0msK
 8kCGTNqBgb5pahT4SIJ8gsDgC/g8fDqME14pzFzvBGBWjTJBKgli12MGPLTMbzWRFMyr
 fnkA==
X-Gm-Message-State: AOAM531iAYC6XSnaR794+S++iAUfjC7bizooHhYCsbzw7wKeRWbC5xJN
 MdnjBgK2rQVL+sRTJ1rwtKCKqFuqwgtxVRbyiphgR5Tb
X-Google-Smtp-Source: ABdhPJyq+2yQ+vepyn5OHf8j1mmfgpUNbHwMKKFCYJisydppgiCFo5QbP91N8FpggUvCBnlUg0GU9eoEp1Ca+S/GvDk=
X-Received: by 2002:a05:6512:2098:: with SMTP id
 t24mr2728391lfr.116.1602509016935; 
 Mon, 12 Oct 2020 06:23:36 -0700 (PDT)
MIME-Version: 1.0
From: =?UTF-8?B?0JTQvNC40YLRgNC40Lkg0J/QvtC70Y/QutC+0LI=?=
 <liltechdude@HIDDEN>
Date: Mon, 12 Oct 2020 18:24:06 +0530
Message-ID: <CAAxPsTEsKy3RsLB0qM-P2FxsYSXEOFG7REP-t5DA1DNmFiE=tQ@HIDDEN>
Subject: incompatible bytecode version
To: bug-guix@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000b42fef05b179343b"
Received-SPF: pass client-ip=2a00:1450:4864:20::130;
 envelope-from=liltechdude@HIDDEN; helo=mail-lf1-x130.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 12 Oct 2020 10:21:13 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000b42fef05b179343b
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

;;; In procedure load-thunk-from-memory: incompatible bytecode version

;;; WARNING: loading compiled file
/run/current-system/profile/lib/guile/3.0/site-ccache/gnu/packages/mtools.g=
o
failed:

;;; In procedure load-thunk-from-memory: incompatible bytecode version

;;; WARNING: loading compiled file
/gnu/store/kn4sqrhnbklqii9ac0xbljkhwg3p2g1m-guix-module-union/lib/guile/3.0=
/site-ccache/guix.go
failed:

;;; In procedure load-thunk-from-memory: incompatible bytecode version

;;; WARNING: loading compiled file
/run/current-system/profile/lib/guile/3.0/site-ccache/guix.go failed:

;;; In procedure load-thunk-from-memory: incompatible bytecode version

;;; WARNING: loading compiled file
/gnu/store/kn4sqrhnbklqii9ac0xbljkhwg3p2g1m-guix-module-union/lib/guile/3.0=
/site-ccache/guix/monad-repl.go
failed:

;;; In procedure load-thunk-from-memory: incompatible bytecode version

;;; WARNING: loading compiled file
/run/current-system/profile/lib/guile/3.0/site-ccache/guix/monad-repl.go
failed:

;;; In procedure load-thunk-from-memory: incompatible bytecode version

Backtrace:

          19 (_ #<procedure 7f562e23f6c0 at ice-9/eval.scm:330:13 ()> =E2=
=80=A6)

          18 (_ #<procedure 7f562e23f3e0 at ice-9/eval.scm:330:13 ()> =E2=
=80=A6)

In ice-9/eval.scm:

   191:27 17 (_ #(#(#<directory (guix store) 7f5643a77000> #<pr=E2=80=A6>) =
=E2=80=A6))

   196:35 16 (_ #(#(#(#<directory (guix store) 7f5643a77000> =E2=80=A6) #) =
#))

   298:34 15 (_ #(#(#(#<directory (guix channels) 7f563d5da140>) =E2=80=A6)=
 =E2=80=A6))

In ice-9/boot-9.scm:

   2806:4 14 (save-module-excursion _)

    152:2 13 (with-fluid* _ _ _)

In unknown file:

          12 (primitive-load "/gnu/store/72dq02lisz4w74iphp4a8agjsp0=E2=80=
=A6")

In ice-9/eval.scm:

   626:19 11 (_ #<directory (build-self) 7f563c4778c0>)

   293:34 10 (_ #<directory (build-self) 7f563c4778c0>)

   293:34  9 (_ #(#(#<directory (gnu packages) 7f563f504640>) "gu=E2=80=A6"=
 =E2=80=A6))

    619:8  8 (_ #(#(#(#<directory (gnu packages) 7f563f504640>) =E2=80=A6) =
#))

   626:19  7 (_ #(#(#(#<directory (gnu packages) 7f563f504640>) =E2=80=A6) =
#))

   293:34  6 (_ #(#(#(#<directory (guix memoization) 7f5643=E2=80=A6> =E2=
=80=A6) =E2=80=A6) =E2=80=A6))

In ice-9/boot-9.scm:

  1731:15  5 (with-exception-handler #<procedure 7f56238671b0 at ic=E2=80=
=A6> =E2=80=A6)

In ice-9/eval.scm:

    619:8  4 (_ #(#(#(#<directory (gnu packages) 7f563f504640> #)) #))

   626:19  3 (_ #(#(#(#<directory (gnu packages) 7f563f504640> #)) #))

In unknown file:

           2 (load-compiled/vm "/home/lil/.config/guix/current/lib/g=E2=80=
=A6")

In ice-9/boot-9.scm:

  1669:16  1 (raise-exception _ #:continuable? _)

  1669:16  0 (raise-exception _ #:continuable? _)


ice-9/boot-9.scm:1669:16: In procedure raise-exception:

In procedure load-thunk-from-memory: incompatible bytecode version

--000000000000b42fef05b179343b
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto"><div dir=3D"auto">;;; In procedure load-thunk-from-memory=
: incompatible bytecode version</div><div dir=3D"auto"><br></div><div dir=
=3D"auto">;;; WARNING: loading compiled file /run/current-system/profile/li=
b/guile/3.0/site-ccache/gnu/packages/mtools.go failed:</div><div dir=3D"aut=
o"><br></div><div dir=3D"auto">;;; In procedure load-thunk-from-memory: inc=
ompatible bytecode version</div><div dir=3D"auto"><br></div><div dir=3D"aut=
o">;;; WARNING: loading compiled file /gnu/store/kn4sqrhnbklqii9ac0xbljkhwg=
3p2g1m-guix-module-union/lib/guile/3.0/site-ccache/guix.go failed:</div><di=
v dir=3D"auto"><br></div><div dir=3D"auto">;;; In procedure load-thunk-from=
-memory: incompatible bytecode version</div><div dir=3D"auto"><br></div><di=
v dir=3D"auto">;;; WARNING: loading compiled file /run/current-system/profi=
le/lib/guile/3.0/site-ccache/guix.go failed:</div><div dir=3D"auto"><br></d=
iv><div dir=3D"auto">;;; In procedure load-thunk-from-memory: incompatible =
bytecode version</div><div dir=3D"auto"><br></div><div dir=3D"auto">;;; WAR=
NING: loading compiled file /gnu/store/kn4sqrhnbklqii9ac0xbljkhwg3p2g1m-gui=
x-module-union/lib/guile/3.0/site-ccache/guix/monad-repl.go failed:</div><d=
iv dir=3D"auto"><br></div><div dir=3D"auto">;;; In procedure load-thunk-fro=
m-memory: incompatible bytecode version</div><div dir=3D"auto"><br></div><d=
iv dir=3D"auto">;;; WARNING: loading compiled file /run/current-system/prof=
ile/lib/guile/3.0/site-ccache/guix/monad-repl.go failed:</div><div dir=3D"a=
uto"><br></div><div dir=3D"auto">;;; In procedure load-thunk-from-memory: i=
ncompatible bytecode version</div><div dir=3D"auto"><br></div><div dir=3D"a=
uto">Backtrace:</div><div dir=3D"auto"><br></div><div dir=3D"auto">=C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 19 (_ #&lt;procedure 7f562e23f6c0 at ice-9/eval=
.scm:330:13 ()&gt; =E2=80=A6)</div><div dir=3D"auto"><br></div><div dir=3D"=
auto">=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 18 (_ #&lt;procedure 7f562e23f3e0 =
at ice-9/eval.scm:330:13 ()&gt; =E2=80=A6)</div><div dir=3D"auto"><br></div=
><div dir=3D"auto">In ice-9/eval.scm:</div><div dir=3D"auto"><br></div><div=
 dir=3D"auto">=C2=A0 =C2=A0191:27 17 (_ #(#(#&lt;directory (guix store) 7f5=
643a77000&gt; #&lt;pr=E2=80=A6&gt;) =E2=80=A6))</div><div dir=3D"auto"><br>=
</div><div dir=3D"auto">=C2=A0 =C2=A0196:35 16 (_ #(#(#(#&lt;directory (gui=
x store) 7f5643a77000&gt; =E2=80=A6) #) #))</div><div dir=3D"auto"><br></di=
v><div dir=3D"auto">=C2=A0 =C2=A0298:34 15 (_ #(#(#(#&lt;directory (guix ch=
annels) 7f563d5da140&gt;) =E2=80=A6) =E2=80=A6))</div><div dir=3D"auto"><br=
></div><div dir=3D"auto">In ice-9/boot-9.scm:</div><div dir=3D"auto"><br></=
div><div dir=3D"auto">=C2=A0 =C2=A02806:4 14 (save-module-excursion _)</div=
><div dir=3D"auto"><br></div><div dir=3D"auto">=C2=A0 =C2=A0 152:2 13 (with=
-fluid* _ _ _)</div><div dir=3D"auto"><br></div><div dir=3D"auto">In unknow=
n file:</div><div dir=3D"auto"><br></div><div dir=3D"auto">=C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 12 (primitive-load &quot;/gnu/store/72dq02lisz4w74iphp=
4a8agjsp0=E2=80=A6&quot;)</div><div dir=3D"auto"><br></div><div dir=3D"auto=
">In ice-9/eval.scm:</div><div dir=3D"auto"><br></div><div dir=3D"auto">=C2=
=A0 =C2=A0626:19 11 (_ #&lt;directory (build-self) 7f563c4778c0&gt;)</div><=
div dir=3D"auto"><br></div><div dir=3D"auto">=C2=A0 =C2=A0293:34 10 (_ #&lt=
;directory (build-self) 7f563c4778c0&gt;)</div><div dir=3D"auto"><br></div>=
<div dir=3D"auto">=C2=A0 =C2=A0293:34=C2=A0 9 (_ #(#(#&lt;directory (gnu pa=
ckages) 7f563f504640&gt;) &quot;gu=E2=80=A6&quot; =E2=80=A6))</div><div dir=
=3D"auto"><br></div><div dir=3D"auto">=C2=A0 =C2=A0 619:8=C2=A0 8 (_ #(#(#(=
#&lt;directory (gnu packages) 7f563f504640&gt;) =E2=80=A6) #))</div><div di=
r=3D"auto"><br></div><div dir=3D"auto">=C2=A0 =C2=A0626:19=C2=A0 7 (_ #(#(#=
(#&lt;directory (gnu packages) 7f563f504640&gt;) =E2=80=A6) #))</div><div d=
ir=3D"auto"><br></div><div dir=3D"auto">=C2=A0 =C2=A0293:34=C2=A0 6 (_ #(#(=
#(#&lt;directory (guix memoization) 7f5643=E2=80=A6&gt; =E2=80=A6) =E2=80=
=A6) =E2=80=A6))</div><div dir=3D"auto"><br></div><div dir=3D"auto">In ice-=
9/boot-9.scm:</div><div dir=3D"auto"><br></div><div dir=3D"auto">=C2=A0 173=
1:15=C2=A0 5 (with-exception-handler #&lt;procedure 7f56238671b0 at ic=E2=
=80=A6&gt; =E2=80=A6)</div><div dir=3D"auto"><br></div><div dir=3D"auto">In=
 ice-9/eval.scm:</div><div dir=3D"auto"><br></div><div dir=3D"auto">=C2=A0 =
=C2=A0 619:8=C2=A0 4 (_ #(#(#(#&lt;directory (gnu packages) 7f563f504640&gt=
; #)) #))</div><div dir=3D"auto"><br></div><div dir=3D"auto">=C2=A0 =C2=A06=
26:19=C2=A0 3 (_ #(#(#(#&lt;directory (gnu packages) 7f563f504640&gt; #)) #=
))</div><div dir=3D"auto"><br></div><div dir=3D"auto">In unknown file:</div=
><div dir=3D"auto"><br></div><div dir=3D"auto">=C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A02 (load-compiled/vm &quot;/home/lil/.config/guix/current/lib/g=
=E2=80=A6&quot;)</div><div dir=3D"auto"><br></div><div dir=3D"auto">In ice-=
9/boot-9.scm:</div><div dir=3D"auto"><br></div><div dir=3D"auto">=C2=A0 166=
9:16=C2=A0 1 (raise-exception _ #:continuable? _)</div><div dir=3D"auto"><b=
r></div><div dir=3D"auto">=C2=A0 1669:16=C2=A0 0 (raise-exception _ #:conti=
nuable? _)</div><div dir=3D"auto"><br></div><div dir=3D"auto">=C2=A0</div><=
div dir=3D"auto">ice-9/boot-9.scm:1669:16: In procedure raise-exception:</d=
iv><div dir=3D"auto"><br></div><div dir=3D"auto">In procedure load-thunk-fr=
om-memory: incompatible bytecode version</div></div>

--000000000000b42fef05b179343b--




Acknowledgement sent to Дмитрий Поляков <liltechdude@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#43960; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 21 Oct 2020 17:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.